import { playAudio } from './tauri/tauri-audio';

/** 点击播放提示音乐 */
export function handlePlayClick(event: MouseEvent | TouchEvent) {
  if (event.target instanceof Element) {
    const tag = event.target;
    // 如果是按钮 或 在按钮内 或在class包含global-play-click-sound的元素内，则播放声音
    const isPlay = tag?.tagName === 'BUTTON' || tag.closest('button') || tag.closest('a') || tag.closest('.global-play-click-sound');
    isPlay && playPromptTone();
  }
}

/** 播放提示音声音 - 带防抖 */
export function playPromptTone() {
  playAudio();
}
